Software requirements

    Note:
  • Before installing this product, we recommended contacting Customer Support to check for any available software updates.
  • For information about the supported environments, operating systems, database servers, and browsers, see the Support Matrix.

  • In addition to the prerequisites listed here, there may be additional protocol-specific prerequisites for running virtual services. For details, see Configure agents.

This section includes:

Access Rights

Back to top

Additional Software Prerequisites

The following prerequisite software is required for Service Virtualization. These applications are included in the Service Virtualization installation package. When you run the installation, you are prompted to allow Service Virtualization to install all required prerequisites that are not yet installed. You can choose to install, or exit the installation.

Service Virtualization Designer

  • .NET Framework 4.7.2
  • Microsoft Visual C++ 2017 x64 Redistributable
  • Microsoft Visual C++ 2013 x64 Redistributable
  • Microsoft Visual C++ 2010 x64 Redistributable

Service Virtualization Server

  • .NET Framework 4.7.2
  • Microsoft Visual C++ 2017 x64 Redistributable
  • Microsoft Visual C++ 2013 x64 Redistributable
  • Microsoft Visual C++ 2010 x64 Redistributable

Service Virtualization Lab (Early Access)

Java 8 JRE or later from one of the following:

  • Open JDK 8u112
  • Oracle Java 1.8.0.111

Back to top